﻿using System;
using System.Windows.Forms;
using System.IO;

namespace DemoApp
{
    public partial class DemoForm : Form
	{
		public DemoForm()
		{
			InitializeComponent();
		}

		Nautilus.DriverLicense _dl = new Nautilus.DriverLicense();

		private void DemoForm_Load(object sender, EventArgs e)
		{
			_computerId.Text = Nautilus.DriverLicense.ComputerId;
			
		}

		

		private void _openBtn_Click(object sender, EventArgs e)
		{
			var dlg = new OpenFileDialog();
			if (dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK)
			{
				var file = dlg.FileName;
				var scannedText = File.ReadAllText(file);
				
				bool res = _dl.ExtractInfo(scannedText);
				if (!res)
				{
					res = _dl.ExtractInfo(scannedText);
				}

                if (!res)
                    MessageBox.Show("Error", "Cannot parse the driver license");
                else
                    tbfn.Text = _dl.FirstName;
                    tbln.Text = _dl.LastName ;
					_address.Text = _dl.Address1;
			}
		}

		private void _okBtn_Click(object sender, EventArgs e)
		{
			Close();
		}

        private void label5_Click(object sender, EventArgs e)
        {

        }
	}
}
